using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace BennettAdelson.Examples
{
    public partial class FrmDlgSettings : Form
    {
        private string m_SelectedIcon = MessageBoxIcon.None.ToString();

        /// <summary>
        /// Icon Property used by Policy
        /// </summary>
        internal string SelectedIcon
        {
            get { return m_SelectedIcon; }
            set { 
                    if (CleanBuildPolicy.IconValues.Contains(value))
                        m_SelectedIcon = value; 
                }
        }

        public FrmDlgSettings()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Display Initial Icon List
        /// </summary>
        private void frmDlgSettings_Load(object sender, EventArgs e)
        {
            //Disable the list for Initial Selection
            lvIcons.Enabled = false;

            //Select the Current Icon
            lvIcons.FindItemWithText(SelectedIcon.ToString()).Selected = true;

            //Re-Enable the list for User Selection
            lvIcons.Enabled = true;

            //Set Focus to the Icon List
            lvIcons.Focus();
        }

        /// <summary>
        /// When Selection Changes, Save in Property
        /// </summary>
        private void lvIcons_ItemActivate(object sender, EventArgs e)
        {
            ListView lv = sender as ListView;
            if (!lv.Enabled) return;

            ListViewItem selectedItem = lv.SelectedItems[0];

            if (selectedItem != null)
                SelectedIcon = selectedItem.Text;
            else
                SelectedIcon = MessageBoxIcon.None.ToString();
        }
    }
}