using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Text;

using Microsoft.TeamFoundation.Adapter;
using Microsoft.TeamFoundation.Warehouse;

namespace BennettAdelson.Samples.WarehouseLogAdapter
{
    public class WarehouseLogAdapter : IWarehouseAdapter
    {
        #region IWarehouseAdapter Members
        void IWarehouseAdapter.Initialize(IDataStore ds)
        {
            //nothing to do
        }

        DataChangesResult IWarehouseAdapter.MakeDataChanges()
        {
            using (EventLog el = new EventLog())
            {
                el.Source = "TFS Warehouse";
                el.WriteEntry("WarehouseLogAdapter MakeDataChanges was run.");
            }
            return DataChangesResult.NoChanges;    
        }

        SchemaChangesResult IWarehouseAdapter.MakeSchemaChanges()
        {
            return SchemaChangesResult.NoChanges;
        }

        void IWarehouseAdapter.RequestStop()
        {
            //no implementation needed
        }
        #endregion
    }
}
